;;SECRET WEAPON #8, PART II: "It's a Setup"

;;Required Files: SWDU8.LSP (main LISP program file), SWDU8.DCL
;;(dialog control file), SWDU8.TSF (title sheet text file)
;;GO_SETUP.LSP, this file (main LISP execution file).

;; GO_SETUP.LSP VR12.0
;; Drawing Title Sheet Setup
;; Copyright Barry R. Bowen 1993-94
;; 3394 Coleman Rd., Memphis, TN 38128
;; For AutoCAD R12 only

(defun GO_SETUP ()
   (setvar "attdia" 0)
   (setvar "attdia" 1)
   (setvar "cmdecho" 0)
   (setvar "aunits" 1)
   (setvar "auprec" 4)
   (if (= UNITS "0") (setvar "lunits" 4) (setvar "lunits" 3))
   (cond
     ((= PREC "0") (setvar "luprec" 0))
     ((= PREC "1") (setvar "luprec" 1))
     ((= PREC "2") (setvar "luprec" 2))
     ((= PREC "3") (setvar "luprec" 3))
     ((= PREC "4") (setvar "luprec" 4))
     ((= PREC "5") (setvar "luprec" 5))
     ((= PREC "6") (setvar "luprec" 6))
   )
   (if (= UNITS "0") (progn
     (cond
       ((= SCALE "0") (setq SF 1))
       ((= SCALE "1") (setq SF 96))
       ((= SCALE "2") (setq SF 48))
       ((= SCALE "3") (setq SF 32))
       ((= SCALE "4") (setq SF 24))
       ((= SCALE "5") (setq SF 16))
       ((= SCALE "6") (setq SF 12))
       ((= SCALE "7") (setq SF 8))
       ((= SCALE "8") (setq SF 4))
       ((= SCALE "9") (setq SF 2))
     )
    );progn
    (progn
     (cond
       ((= SCALE "0") (setq SF 1))
       ((= SCALE "2") (setq SF 12))
       ((= SCALE "3") (setq SF 120))
       ((= SCALE "4") (setq SF 240))
       ((= SCALE "5") (setq SF 360))
       ((= SCALE "6") (setq SF 480))
       ((= SCALE "7") (setq SF 600))
       ((= SCALE "8") (setq SF 720))
     )
  ))
  (cond
    ((= SHTSZ "0") (setq Y 8.5 X 11))
    ((= SHTSZ "1") (setq Y 11 X 17))
    ((= SHTSZ "2") (setq Y 17 X 22))
    ((= SHTSZ "3") (setq Y 18 X 24))
    ((= SHTSZ "4") (setq Y 22 X 34))
    ((= SHTSZ "5") (setq Y 24 X 36))
    ((= SHTSZ "6") (setq Y 30 X 42))
    ((= SHTSZ "7") (setq Y 36 X 48))
  )
  (if (or (= XREF "1") (= INTITL "1")) (progn
      (setq X (atof (nth (atoi BRSHT) BRLIST4)))
      (setq Y (atof (nth (atoi BRSHT) BRLIST3)))
  ))
  (setq X1 (* SF X) Y1 (* SF Y))
  (setq LMAX (list X1 Y1))
  (command "limits" "" LMAX)
  (command "dimscale" DIMSCL "ltscale" LTSCL "zoom" "a")
  (if (= PAPSP "1") (setvar "tilemode" 0)  (setvar "tilemode" 1))
  (if (= ORTH "1") (setvar "orthomode" 1) (setvar "orthomode" 0))
  (if (= SNAPM "1")  (command "snap" "on") (command "snap" "off"))
  (if (= BLIP "1")  (setvar "blipmode" 1)  (setvar "blipmode" 0))
  (if (= HIGHL "1") (setvar "highlight" 1) (setvar "highlight" 0))
  (if (= XREF "1") (setq INTITL "1"))
  (if (= INTITL "1") (progn
    (setq EZBOR (nth (atoi BRSHT) BRLIST0))
    (setq EZCK (findfile (strcat EZBOR ".dwg")))
    (if (= PAPSP "1") (setq SF 1))
    (if (/= EZCK nil) (progn
      (if (= XREF "1")
        (command "xref" "a" EZBOR "0,0" SF SF "")
        (command "insert" EZBOR "0,0" SF SF "")
      )
     );progn
     (prompt "\nTitle Sheet Not Found!")
    );if
  ))
  (if (= BASBR "1") (command "insert" "BASICBOR" "0,0" X1 Y1 0))
  (if (= PAPSP "1") (progn
    (setq X1 (* SF X) Y1 (* SF Y))
    (setq LMAX (list X1 Y1))
    (command "zoom" "a")
    (setvar "psltscale" 0)
    (command "mview" "0,0" (list X1 Y1))
    (command "mspace")
    (setq ZSF (strcat "1/" (itoa SF) "xp"))
    (command "zoom" ZSF)
    (setvar "tilemode" 1)
  ))
  (if (= SNAPM "1") (command "snap" (nth (atoi SNPSZ) SLIST7)))
  (if (= GRD1 "1") (progn
      (setvar "gridmode" 1)
      (command "grid" (nth (atoi GRD) SLIST8))
     )
      (command "grid" "off")
  )
  (prompt "\nDrawing Setup Completed!")
  (princ)
)

(prompt "\nDrawing Setup Loaded!")
(prompt "\nCopyright (c) Barry R. Bowen 1993-94")
(princ)
